Bug Hunting Session
Bug 125866 - crash when adding path/file to header in page style dialog
Summary: crash when adding path/file to header in page style dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-06-11 18:01 UTC by Regina Henschel
Modified: 2019-06-13 09:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File to reproduce the crash (13.58 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-06-11 18:01 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-06-11 18:01:46 UTC
Created attachment 152115 [details]
File to reproduce the crash

Open attached document.
Double-click "Default" in status bar to edit the page style.
Switch to tab "Header" and click on "Edit".
Make sure cursor in the "Left" area.
Open the drop-down list for file info and select item "Path/File Name"  ==> crash.

Crash occurs in Version: 6.4.0.0.alpha0+ (x64)
Build ID: 87238627b025ee6aa61378667e56b1769d4460c2
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-09_03:04:32
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded

Works OK in Version: 6.1.4.2 (x64)
Build ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL
Comment 1 Telesto 2019-06-11 20:44:21 UTC
Repro
Version: 6.4.0.0.alpha0+ (x86)
Build ID: ac14e5613597e7361ce6995dacb1bb5bd55b6b00
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-06_05:09:49
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2019-06-11 21:56:16 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2fb6e8365c6792422c10c56e2c976b781c194b77

author	Caolán McNamara <caolanm@redhat.com>	2019-04-07 21:45:01 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-04-08 22:21:57 +0200
commit	2fb6e8365c6792422c10c56e2c976b781c194b77 (patch)
tree	34c6cf6a93ea7c822bbc39923ad7474b5128d1e2
parent	6e7bfc896e6cb4d91dcecf974f0d9ee41f35b86a (diff)
weld ScHFEditPage

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2019-06-12 16:35:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2b3f6d73496f7d0fb4624e1d14f66e922d05fb31%5E%21

Resolves: tdf#125866 null-deref

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-06-12 16:37:06 UTC
6-3 backport in gerrit
Comment 5 Commit Notification 2019-06-13 09:33:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/1325505f943e2a690a620e96c20d7eeb2dac4945%5E%21

Resolves: tdf#125866 null-deref

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-06-13 09:34:54 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: ee4823e16e5fece068ee123b9c3e29834cd38763
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!